<template>
  <!-- section:custom_content -->
  <v-container 
    fluid 
    fill-height 
    height="400px">
    <v-layout 
      align-center 
      justify-center>
      <v-flex 
        xs12 
        sm8 
        md5>
        <v-card class="elevation-12">
          <!--           <v-toolbar dark color="primary">
            <v-toolbar-title>{{ $t('setupWizard.title') }}</v-toolbar-title>
            <v-spacer></v-spacer>
          </v-toolbar> -->

          <v-card-media/>

          <v-stepper v-model="step">
            <v-stepper-header>
              <v-stepper-step 
                key="1-step" 
                :complete="step > 1" 
                step="1">{{ $t('setupWizard.welcomeLabel') }}</v-stepper-step>
              <v-divider/>
              <v-stepper-step 
                key="2-step" 
                :complete="step > 2" 
                step="2">{{ $t('setupWizard.accountLabel') }}</v-stepper-step>
              <v-divider/>
              <v-stepper-step 
                key="3-step" 
                :complete="step > 3" 
                step="3">{{ $t('setupWizard.printerLabel') }}</v-stepper-step>
              <v-divider/>
              <v-stepper-step 
                key="4-step" 
                :complete="step > 4" 
                step="4">{{ $t('setupWizard.networkLabel') }}</v-stepper-step>
            </v-stepper-header>

            <v-stepper-items>
                    
              <v-stepper-content 
                key="1-content" 
                step="1">

                <v-card>
                  <h2>Welcome to FABUI setup wizard</h2>

                  <v-container 
                    fluid 
                    grid-list-xl>
                    <v-select
                      :items="languages"
                      label="Select language"
                    />

                    <v-select
                      :items="timezones"
                      label="Select timezone"
                    />
                  </v-container>

                  <v-card-actions>
                    <v-btn
                      color="primary"
                      @click="nextStep(1)"
                    >
                      {{ $t('setupWizard.nextLabel') }}
                    </v-btn>
                  </v-card-actions>
                </v-card>

                <!-- <v-btn flat>Cancel</v-btn> -->
              </v-stepper-content>

              <v-stepper-content 
                key="2-content" 
                step="2">
                <v-card>
                  <h2>Create your admin account</h2>
                        
                  <v-container 
                    fluid 
                    grid-list-xl>
                    <v-layout 
                      raw 
                      wrap>
                      <v-flex 
                        xs12 
                        sm6 
                        md6 
                        d-flex>
                        <v-text-field 
                          prepend-icon="person"
                          label="First name"
                        />
                      </v-flex>
                      <v-flex 
                        xs12 
                        sm6 
                        md6 
                        d-flex>
                        <v-text-field 
                          prepend-icon="person"
                          label="Last name"
                        />
                      </v-flex>
                    </v-layout>

                    <v-text-field 
                      prepend-icon="email"
                      label="E-mail"
                    />

                    <v-layout 
                      raw 
                      wrap>
                      <v-flex 
                        xs12 
                        sm6 
                        md6 
                        d-flex>
                        <v-text-field 
                          prepend-icon="lock"
                          label="Password" 
                          type="password"
                        />
                      </v-flex>
                      <v-flex 
                        xs12 
                        sm6 
                        md6 
                        d-flex>
                        <v-text-field
                          prepend-icon="lock"
                          label="Confirm password" 
                          type="password"
                        />
                      </v-flex>
                    </v-layout>
                  </v-container>
                        
                  <v-card-actions>
                    <v-btn>Prev</v-btn>
                    <v-spacer/>
                    <v-btn 
                      color="primary" 
                      @click="nextStep(2)"
                    >
                      {{ $t('setupWizard.nextLabel') }}
                    </v-btn>
                  </v-card-actions>
                </v-card>
              </v-stepper-content>

              <v-stepper-content 
                key="3-content" 
                step="3">
                <v-card
                  class="mb-5"
                  color="grey lighten-1"
                  height="200px"
                >
                  test content #3
                </v-card>

                <v-btn flat>Prev</v-btn>

                <v-btn
                  color="primary"
                  @click="nextStep(3)"
                >
                  {{ $t('setupWizard.nextLabel') }}
                </v-btn>

                      
              </v-stepper-content>

              <v-stepper-content 
                key="4-content" 
                step="4">
                <v-card
                  class="mb-5"
                  color="grey lighten-1"
                  height="200px"
                >
                  test content #4
                </v-card>

                <v-btn flat>{{ $t('setupWizard.prevLabel') }}</v-btn>

                <v-btn
                  color="primary"
                  @click="nextStep(4)"
                >
                  {{ $t('setupWizard.finishLabel') }}
                </v-btn>

                      
              </v-stepper-content>

            </v-stepper-items>
          </v-stepper>


        </v-card>

      </v-flex>
    </v-layout>
  </v-container>
  <!-- endsection:custom_content -->

</template>

<script>
// section:custom_imports
// endsection:custom_imports
    
import {bus} from '@js/bus'

export default {

	components: {
		// section:custom_components
		// endsection:custom_components
	},

	data() {
		// section:custom_before_data
		// endsection:custom_before_data
		return {
			// section:custom_data
			steps: 4,
			step: 1,
			// endsection:custom_data
		}
	},

	computed: {
		// section:custom_computed
		languages() {
			return ['English']
		},

		timezones() {
			return ['UTC/GMT +02:00 - Europe/Berlin']
		}
		// endsection:custom_computed
	},

	methods: {
		// section:custom_methods
		nextStep (n) {
			if (n === this.steps) {
				this.step = 1
			} else {
				this.step = n + 1
			}
		}
		// endsection:custom_methods
	},
        

	// section:custom_extras
	// endsection:custom_extras
}

</script>